Bug 971086 - fpaste --sysinfo , better/safer detection of KDE
fpaste --sysinfo , better/safer detection of KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 12:02 EDT by Rex Dieter
Modified: 2014-01-28 22:09 EST (History)
3 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.1-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 21:22:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-06-05 12:02:18 EDT
I currently run 
fpaste --sysinfo

on my f19 kde box, and I see:
...
* Desktop(s) Running (ps -eo comm= | egrep '(gnome-session|kdeinit|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session)' ):
     start_kdeinit
     kdeinit4


It would be better to grep for the string "startkde" instead of "kdeinit" there as a more reliable and safer way to identify a kde plasma-desktop session.

While you're at it, may as well add string "startactive" for plasma-active sessions too.
Comment 1 Ankur Sinha (FranciscoD) 2013-06-06 04:57:03 EDT
Hi Rex,

Thank you for your bug report. 

I'll make changes and request upstream to include the patch too.

Thanks,
Ankur
Comment 2 Ankur Sinha (FranciscoD) 2013-06-10 06:59:04 EDT
Filed upstream
Comment 3 Fedora End Of Life 2013-09-16 12:42:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora Update System 2014-01-23 02:05:07 EST
fpaste-0.3.7.1-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc20
Comment 5 Fedora Update System 2014-01-23 02:05:53 EST
fpaste-0.3.7.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc19
Comment 6 Fedora Update System 2014-01-24 02:46:33 EST
Package fpaste-0.3.7.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1440/fpaste-0.3.7.1-11.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-01-24 21:22:54 EST
fpaste-0.3.7.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-01-28 22:09:31 EST
fpaste-0.3.7.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.